package com.rjconsultores.ventaboletos.dao.hibernate;

import org.hibernate.SessionFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.beans.factory.annotation.Qualifier;
import org.springframework.stereotype.Repository;

import com.rjconsultores.ventaboletos.dao.ConfRestricaoTramoOCDAO;
import com.rjconsultores.ventaboletos.entidad.ConfRestricaoTramoOC;

@Repository("confRestricaoTramoOCDAO")
public class ConfRestricaoTramoOCHibernateDAO extends GenericHibernateDAO<ConfRestricaoTramoOC, Integer>
		implements ConfRestricaoTramoOCDAO {

	@Autowired
	public ConfRestricaoTramoOCHibernateDAO(@Qualifier("sessionFactory") SessionFactory factory) {
		setSessionFactory(factory);
	}
}
