package com.rjconsultores.ventaboletos.dao.hibernate;

import org.hibernate.SessionFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.beans.factory.annotation.Qualifier;
import org.springframework.stereotype.Repository;

import com.rjconsultores.ventaboletos.dao.PtovtaExcecaoMultaCancDAO;
import com.rjconsultores.ventaboletos.entidad.PtovtaExcecaoMultaCanc;

@Repository("ptovtaExcecaoMultaCancHibernateDAO")
public class PtovtaExcecaoMultaCancHibernateDAO extends GenericHibernateDAO<PtovtaExcecaoMultaCanc, Integer> implements PtovtaExcecaoMultaCancDAO {
	
    @Autowired
    public PtovtaExcecaoMultaCancHibernateDAO(
            @Qualifier("sessionFactory") SessionFactory factory) {
        setSessionFactory(factory);
    }

}
