package com.rjconsultores.ventaboletos.service.impl;

import java.util.Date;
import java.util.List;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import com.rjconsultores.ventaboletos.dao.NotaCreditoVendaPacoteDAO;
import com.rjconsultores.ventaboletos.service.NotaCreditoVendaPacoteService;
import com.rjconsultores.ventaboletos.vo.reembolsoocdnotacredito.ReembolsoOcdNotaCreditoVO;

@Service("notaCreditoVendaPacoteService")
public class NotaCreditoVendaPacoteServiceImpl implements NotaCreditoVendaPacoteService {
	
	@Autowired
	private NotaCreditoVendaPacoteDAO notaCreditoVendaPacoteDAO;

	@Override
	public List<ReembolsoOcdNotaCreditoVO> busquedaDatosReembolsoOcdNotaCreditoRS(Date fecInicial, Date fecFinal, Date fecPagamentoInicial, Date fecPagamentoFinal, Boolean indPago) {
		return notaCreditoVendaPacoteDAO.busquedaDatosReembolsoOcdNotaCreditoRS(fecInicial, fecFinal, fecPagamentoInicial, fecPagamentoFinal, indPago);
	}


}
